> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.searchforvirtualitemeventargs.md).

# SearchForVirtualItemEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [SearchForVirtualItem](/api/wisej.web/lists-and-grids/listview.md#searchforvirtualitem) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SearchForVirtualItemEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SearchForVirtualItemEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) SearchForVirtualItemEventArgs(isPrefixSearch, includeSubItemsInSearch, text, startIndex)

Initializes a new instance of the [SearchForVirtualItemEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.searchforvirtualitemeventargs.md) class.

| Name                        | Type                                                            | Description                                                                                                                      |
| --------------------------- | --------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **isPrefixSearch**          | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | A value indicating whether the search is a prefix search.                                                                        |
| **includeSubItemsInSearch** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | A value indicating whether to include sub items of list items in the search.                                                     |
| **text**                    | [String](https://docs.microsoft.com/dotnet/api/system.string)   | The text of the item to search for.                                                                                              |
| **startIndex**              | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)     | The index of the [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) at which to start the search. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) IncludeSubItemsInSearch

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns a value indicating whether the search should include sub items of list items.

### ![](/files/hsR4ok3152WyAf8J2C1u) Index

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the index of the [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) found in the [ListView](/api/wisej.web/lists-and-grids/listview.md) .

### ![](/files/hsR4ok3152WyAf8J2C1u) IsPrefixSearch

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns a value indicating whether the search should return an item if its text starts with the search text.

### ![](/files/hsR4ok3152WyAf8J2C1u) StartIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) where the search starts.

### ![](/files/hsR4ok3152WyAf8J2C1u) Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the text used to find an item in the [ListView](/api/wisej.web/lists-and-grids/listview.md) control.

## Used By

| Name                                                                                                                      | Description                                                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [SearchForVirtualItemEventHandler](/api/wisej.web/lists-and-grids/listview/wisej.web.searchforvirtualitemeventhandler.md) | Represents the method that will handle the [SearchForVirtualItem](/api/wisej.web/lists-and-grids/listview.md#searchforvirtualitem) event of a [ListView](/api/wisej.web/lists-and-grids/listview.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.searchforvirtualitemeventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
